> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Get all partners assigned to a matchmaking request

GET https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/matchmaking-requests/{matchmakingId}/partners/

GET: Returns the list of partner entries assigned to a specific matchmaking request.
PUT: Assigns or unassigns partners to/from a matchmaking request.

Reference: https://docs.partnerpage.io/api-reference/matchmaking/get-all-partners-assigned-to-a-matchmaking-request

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required)
- `matchmakingId` (string, required)

## Response

### 200

No response body

## Examples

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/matchmaking-requests/matchmakingId/partners/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/matchmaking-requests/matchmakingId/partners/';
const options = {method: 'GET', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```